package de.htwsaar.webshop.service;

import de.htwsaar.webshop.model.ReviewModel;
import de.htwsaar.webshop.repository.entities.Review;

import java.util.List;
import java.util.UUID;

public interface ReviewService {
    Review save(Review review);

    Review save(UUID articleUuid, int rating, String content);

    void delete(Long reviewId);

    Review getReviewById(Long id);

    List<Review> getAllByUUID(UUID uuid);

    ReviewModel toModel(Review review);
}
